Last Comment Bug 230554 - :root - overflow property is not applied to the viewport
: :root - overflow property is not applied to the viewport
Status: RESOLVED FIXED
: css2, testcase
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: -- enhancement with 1 vote (vote)
: ---
Assigned To: David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch)
: Hixie (not reading bugmail)
Mentors:
Depends on: 234851
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-10 02:11 PST by Anne (:annevk)
Modified: 2004-05-09 09:07 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Anne (:annevk) 2004-01-10 02:11:38 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7a) Gecko/20031219
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7a) Gecko/20031219

HTML and XHTML test cases coming up.

Reproducible: Always

Steps to Reproduce:
Comment 1 Anne (:annevk) 2004-01-10 02:18:05 PST
According to CSS21 <http://www.w3.org/TR/CSS21/visufx.html#overflow>:

> HTML UAs may apply the overflow property from the BODY or HTML elements to the
> viewport.

Mozilla fixed a bug about this for the BODY element, but now (?) there is a
problem with the HTML element.

 <http://annevankesteren.nl/test/css/p/overflow/root-overflow-auto.htm>
  'text/html' test case for 'overflow:auto;'

 <http://annevankesteren.nl/test/css/p/overflow/root-overflow-auto.xhtml>
  'application/xhtml+xml' test case for 'overflow:auto;'

 <http://annevankesteren.nl/test/css/p/overflow/root-overflow-scroll.htm>
  'text/html' test case for 'overflow:scroll;'

 <http://annevankesteren.nl/test/css/p/overflow/root-overflow-scroll.xhtml>
  'application/xhtml+xml' test case for 'overflow:scroll;'

Now I'm not sure if Mozilla should behave the same for XHTML (XML) documents,
but according to the CSS21 specification we may support it for HTML and I think
we should.
Comment 2 Boris Zbarsky [:bz] 2004-01-10 06:25:11 PST
We apply overflow:hidden on both <body> and <html> to the viewport in HTML
documents (or at least should).  That's as far as we need to go, imo....
Comment 3 Hixie (not reading bugmail) 2004-01-12 02:34:21 PST
In the CSS spec, HTML != XHTML. It says HTML, not XHTML. Thus it doesn't apply
to XHTML. Does that make this bug INVALID?
Comment 4 Anne (:annevk) 2004-01-12 03:24:45 PST
No, only partly. Because we don't do it correct for HTML elements. See the 2
text/html test cases.

(I wonder, how would you have to do this for XML? With something like ::viewport?)
Comment 5 Anne (:annevk) 2004-02-07 10:36:37 PST
*** Bug 11224 has been marked as a duplicate of this bug. ***
Comment 6 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2004-04-12 06:34:14 PDT
The fix in bug 234851 makes the viewport overflow:auto in the first two cases
and overflow:scroll in the latter two cases, which is I think what Anne wants.

As per Hixie, in XHTML we probably should not propagate from HTML or BODY.
Currently we do. Turning off propagation from BODY would be quite easy. Turning
off propagation from the root for XHTML is quite hard because it requires fixing
some difficult bugs about reconstruction of the root frame with scrollbars. And,
we'd have to make the viewport explicitly stylable, possibly in advance of any
standard for that.
Comment 7 Anne (:annevk) 2004-05-03 08:22:16 PDT
For HTML issues, this bug is fixed. The XML issues should probably be moved to
another bug. These issues are:

 - 'overflow' is placed from xhtml|body, xhtml|html or *|*:root to the viewport
 - implementing '@-moz-viewport'

Shall I file them?
Comment 8 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2004-05-04 05:46:02 PDT
I don't want to implement these until the viewport rule has been standardized.
Feel free to file the bugs though.
Comment 9 Anne (:annevk) 2004-05-09 01:48:56 PDT
Filed bug 242646 and bug 242645.

Marking this bug as fixed, since all the (still) existing issues have been moved
to other bugs and main issue has been fixed by bug 234851.

Note You need to log in before you can comment on or make changes to this bug.